Article ID: 122360, created on Jul 14, 2014, last review on Aug 12, 2014

  • Applies to:
  • Plesk 12.0 for Linux
  • Plesk 12.0 for Windows

Release Notes

Parallels is pleased to introduce the new Micro-Update #8 for the 12.0.18 version of Parallels Plesk Panel (PP).

The 12.0.18 MU#8 update is recommended for all PP users and includes general functionality fixes that improve the stability, compatibility, and security of your PP server.

To ensure optimal server reliability and security, Parallels strongly recommends keeping your operating system and PP software up-to-date.

What's Changed

The following issues have been resolved:

[-] If Plesk was installed without a DNS service, administrators could not create subscriptions. The following error occurred: "Call to a member function isNeedUpdate() on a non-object in /opt/psa/admin/plib/PhDomain.php". (PPP-10817)
[-] (Linux) Administrators could not upgrade the Plesk server to the version 12.0 from an earlier version if they had the mod_security package installed on the server. The following error occurred: "You have already installed the mod_security package which is not from Panel distribution. You should deinstall the mod_security package before the 'modsecurity' component installation, otherwise your Apache web-server will be broken". (PPP-10791, PPPM-1798)
[-] Users could not access the File Manager if Classic List was selected in Websites & Domains > Domains List Settings. The following error occurred: "Invalid URL was requested". (PPP-10783, PPPM-1795)
[-] Users could not see status messages for extensions. (PPP-10776)
[-] Users could not restore from an FTP repository any backup created on the same Plesk server unless they selected the option Restore the backup file despite a corrupted signature. The Restore button was inactive. (PPP-10767)
[-] (Linux) On openSuSE 13.1 x32, after a server restart, the FTP service stopped working. (PPP-10750)
[-] (Linux) Temporary files of messages were not removed from the /usr/local/psa/handlers/spool/ directory if greylisting spam protection was switched on. This might cause a lack of disk space. (PPP-10705, PPPM-1766)
[-] Users could not see some form validation messages when Japanese was selected as Plesk interface language. (PPP-10702, PPPM-1763)
[-] Users could not change hosting settings for the main domain on their subscription if there were a lot of additional domains, subdomains, and/or domain aliases. The following error message was shown: "This operation is taking too long. Check the results in a few minutes". (PPP-10698, PPPM-1762)
[-] (Windows) Administrators could not restore file permissions in the webspace with the repair.exe utility. It repaired only folder permissions. (PPP-10729, PPPM-1745)


[+] - Added
[-] - Fixed
[*] - Improved

Installation Instructions

  • #9294: Using Micro-Updates in Parallels Plesk Panel

ed7be2b984f9c27de1d2dc349dc19c6d 56797cefb1efc9130f7c48a7d1db0f0c a914db3fdc7a53ddcfd1b2db8f5a1b9c 85a92ca67f2200d36506862eaa6ed6b8 a766cea0c28e23e978fa78ef81918ab8 2a5151f57629129e26ff206d171fbb5f 29d1e90fd304f01e6420fbe60f66f838 e335d9adf7edffca6a8af8039031a4c7

Email subscription for changes to this article
Save as PDF